.glass-panel {
  color: #fff;
  margin: 16px auto;
  background-color: rgba(255,255,255,0.06);
  border: 1px solid rgba(255,255,255,0.1);
  width: 100%;
  border-radius: 15px;
  padding: 32px;
  backdrop-filter: blur(10px);
}

.glass-button {
  display: inline-block;
  padding: 24px 32px;
  border: 0;
  text-decoration: none;
  border-radius: 15px;
  background-color: rgba(255,255,255,0.1);
  border: 1px solid rgba(255,255,255,0.1);
  backdrop-filter: blur(30px);
  color: rgba(255,255,255,0.8);
  font-size: 14px;
  letter-spacing: 2px;
  cursor: pointer;
  text-transform: uppercase;
}

.glass-button:hover {
  background-color: rgba(255,255,255,0.2);
}

/* Extra styles for demo */
/* Article:  https://superdevresources.com/glassmorphism-ui-css/ */
body {
  background: url(https://sf.kriszdj2001.hu/kalkulator/assets/img/background.jpg) no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  text-align: center;
  font-family: 'Open Sans', sans-serif;
  overflow: overlay;
}

.glass-panel {  
  max-width: 90vw;
}

.glass-button {
  margin: 15px;
  margin-top: 40px;
}

h1, h1 a {
  min-height: 120px;
  width: 90%;
  max-width: 700px;
  vertical-align: middle;
  text-align: center;
  margin: 0 auto;
  text-decoration: none;
  color: #000;
  padding-top: 0px;
  color: rgba(0,0,0,0.8);
}

p {
  width: 80%;
  margin: 0 auto;
  padding-bottom: 16px;
  color: #757575;
}
.form-group{
  margin-bottom: 50px;
  min-width: 250px;
  width: 30%;
  max-width: 75%;
}
table {
  margin: 0 auto;
  font-size: large;
  backdrop-filter: blur(5px);
  border-radius: 25px;
}
td {
  background-color: transparent;
  border: 1px solid black;
  border-radius: 25px;
}

th,
td {
  font-weight: bold;
  border: 1px solid black;
  padding: 10px;
  text-align: center;
}

.tablacim{
  font-size: 18px;
  font-weight: bold;
  -webkit-text-stroke: 1px black;
}

td {
  font-size: 15px;
  font-weight: 500;
}

#szaminput {
  border-radius: 4px;
  margin-bottom: 8px;
  width: 150px;
}
::placeholder {
  text-align: center; 
}

img {
  image-rendering: pixelated;
}
.invslot {
    position: relative;
    display: inline-block;
    background: #8b8b8b no-repeat center center/32px 32px;
    border: 2px solid;
    border-color: #373737 #fff #fff #373737;
    width: 64px;
    height: 64px;
    font-size: 16px;
    line-height: 1;
    text-align: left;
    vertical-align: bottom;
}
.invslot-item, .invslot-item>a:first-child {
    position: relative;
    display: block;
    margin: -2px;
    padding: 2px;
    width: 32px;
    height: 32px;
}

#torolgomb {
  position:fixed;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  color: white;
  cursor: pointer;
  padding: 15px;
  margin-bottom: 16px;
	width:60px;
	height:60px;
  bottom: 15px;
	right: 25px;
  border-radius:50px;
	text-align:center;
}
#torolgomb:hover {
	width: 62px;
	height: 62px;
}

.mc_dark_red{
  color: #AA0000;
}
.mc_red{
  color: #FF5555;
}
.mc_gold{
  color: #FFAA00;
}
.mc_yellow{
  color: #FFFF55;
}
.mc_dark_green{
  color: #00AA00;
}
.mc_green{
  color: #55FF55;
}
.mc_aqua{
  color: #55FFFF;
}
.mc_dark_aqua{
  color: #00AAAA;
}
.mc_dark_blue{
  color: #0000AA;
}
.mc_blue{
  color: #5555FF;
}
.mc_light_purple{
  color: #FF55FF;
}
.mc_dark_purple{
  color: #AA00AA;
}
.mc_white{
  color: #FFFFFF;
}
.mc_gray{
  color: #AAAAAA;
}
.mc_dark_gray{
  color: #555555;
}
.mc_black{
  color: #000000
  ;
}

::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
  background-color: transparent;
  border-radius: 10px;
}

::-webkit-scrollbar {
  width: 12px;
  background-color: transparent;
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
  background-image: -webkit-linear-gradient(330deg, #f6d365 0%, #fda085 100%);
  background-image: linear-gradient(120deg, #f6d365 0%, #fda085 100%);
}


/*POPOUP GOMB*/
#openMyPopup {
  position:fixed;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  background-color: black;
  cursor: pointer;
  padding: 15px;
  margin-bottom: 16px;
	width:60px;
	height:60px;
  bottom: 90px;
	right: 25px;
  border-radius:50px;
	text-align:center;
}
#openMyPopup:focus {
  outline: none;
}
#openMyPopup:hover {
  background: black;
	width: 62px;
	height: 62px;
}
#closePopup {
  background: #9ad3de;
  border: 0;
  border-radius: 4px;
  padding: 15px 30px;
  font-size: 18px;
  color: #fff;
  cursor: pointer;
}
#closePopup:focus {
  outline: none;
}
#closePopup:hover {
  background: #c0e4eb;
}
@keyframes pop-swirl {
  0% {
    transform: scale(0) rotate(360deg);
 }
  60% {
    transform: scale(0.8) rotate(-10deg);
 }
  100% {
    transform: scale(1) rotate(0deg);
 }
}
.popup {
  background: rgba(100, 100, 100, 0);
  position: fixed;
  display: none;
  z-index: 9999;
  height: 100%;
  width: 100%;
  left: 0;
  top: 0;
  font-family: 'Montserrat', cursive;
  font-weight: 100;
  text-align: center;
  -webkit-animation: pop-swirl 1s ease forwards;
}
.popup .wrapper {
  max-width: 600px;
  width: 75%;
  position: fixed;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;
  background: #fff;
  padding: 30px;
  border-radius: 10px;
  box-shadow: 2px 2px 10px 0px rgba(0, 0, 0, 0.4);
}
/*POPOUP GOMB*/
#fuggolegesSzoveg {
  white-space: pre-line;
  text-align: center;
  font-size: 12px;
  border-radius: 64px;
  font-weight: bold;
  overflow: hidden;
  padding: 10px 0px 10px 0px;
  width: 40px;

  background: linear-gradient(rgba(246,211,101,1), rgba(246,211,101,1) 50%, rgba(253,160,133,1) 50%, rgba(246,211,101,1));
  background-size: 100% 200%;
  /*trasition effect for background*/
  transition: background .3s;

  position:fixed;
  z-index: 99;
  border: none;
  outline: none;
  cursor: pointer;
  top: 30%;
  bottom: 30%;
	left:17.5px;
}
#fuggolegesSzoveg:hover{
  background-position: 100% 100%;
}